<?php
/**
 * ResponseBodyCursorPaginationTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CrmClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * CRM
 *
 * Управление клиентами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\CrmClient;

use PHPUnit\Framework\TestCase;

/**
 * ResponseBodyCursorPaginationTest Class Doc Comment
 *
 * @category    Class
 * @description ResponseBodyCursorPagination
 * @package     Ensi\CrmClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class ResponseBodyCursorPaginationTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "ResponseBodyCursorPagination"
     */
    public function testResponseBodyCursorPagination()
    {
    }

    /**
     * Test attribute "cursor"
     */
    public function testPropertyCursor()
    {
    }

    /**
     * Test attribute "limit"
     */
    public function testPropertyLimit()
    {
    }

    /**
     * Test attribute "next_cursor"
     */
    public function testPropertyNextCursor()
    {
    }

    /**
     * Test attribute "previous_cursor"
     */
    public function testPropertyPreviousCursor()
    {
    }

    /**
     * Test attribute "type"
     */
    public function testPropertyType()
    {
    }
}
